#pragma once

// Parametrierung der auf den Körper wirkende Kräfte:
struct Vektor {
  float x; // [m/s^2]
  float y; // [m/s^2]
};
// Körper:
struct Koerper {
  float masse; // [kg]
  Vektor position;
  Vektor geschwindigkeit;
};

Vektor addVektor(const Vektor &vec1, const Vektor &vec2);
Vektor mulVektor(const Vektor &vec, const float &skalar);
Koerper bewegeKoerper(const Koerper &korp, const Vektor &gesamtkraft,const float &dt);
void ausgabeKoerper(const Koerper &korp);
void ausgabeVektor(const Vektor &vec);
